> For the complete documentation index, see [llms.txt](https://docs.high-mobility.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.high-mobility.com/oem-guides/hyundai/clearance-lifecycle.md).

# Clearance Lifecycle

Lifecycle of clearance for Hyundai brand

{% hint style="warning" %}
The following flows are closely related to OEM integrations and our internal software, and are subject to change without prior notice.
{% endhint %}

## Activation

The following flowchart explains the high level of activation procedure

```mermaid
graph TD
  classDef eventProducerErrorClass fill:red,color:white;
  classDef eventProducerSuccessClass fill:green;
  ActivationRequest[Activation Requested] --> CheckThereIsOnGoing{In progress?₁}
  CheckThereIsOnGoing --> |yes| CheckThereIsOnGoing 
  CheckThereIsOnGoing ---> |no| CheckEligibility{Check Eligibility}
  CheckEligibility --> |eligible| ActivateVehilce[Activate package for vehicle]
  CheckEligibility ---> |notify HM Support| Support[Check for Eligibility<br /> in Hyundai portal₂]
  Support ----> |feed the eligibility response into the system| CheckEligibility
  CheckEligibility --> |ineligible| Rejected:::eventProducerErrorClass
  ActivateVehilce --> OemConfirmed{Wait until packages<br />are activated<br /> on OEM side}
  OemConfirmed --> |yes| Approved:::eventProducerSuccessClass

  
```

1. If this vin is already used by any of our customers and in transition, your activation gets paused. It includes when this vehicle is revoked/canceled by HM status but OEM side hasn't confirmed it yet.&#x20;
2. Hyundai currently does not provide an API for checking vehicle eligibility or performing remote activation. As a result, our support team reviews pending Hyundai vehicles daily and manually checks their eligibility through the Hyundai portal.\
   \
   When required, vehicles are remotely activated through the portal. The resulting eligibility status is then sent back to our system to determine whether the activation flow can continue or if the clearance should be rejected.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.high-mobility.com/oem-guides/hyundai/clearance-lifecycle.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
